#ifndef __SSM_H
#define __SSM_H

struct ssm_context_s
{
  addr_t mb_addr;
  addr_t ram_p_addr;
  addr_t ram_p_size;
  size_t sp_idx;
};

enum sp_mode_e
{
  sp_rw,
  sp_ro
};

void ssm_create_segment(uint32_t sp, uint32_t start_address, size_t size);
void ssm_init(addr_t mb_addr, addr_t ram_p_addr, size_t ram_p_size);
void ssm_add_sp(size_t idx, bool with_integrity, bool with_confidentiality, enum sp_mode_e mode);

#endif
